Up to top level
AO15   AO16   AO17   AO18   Backgrounds   Calibration   Conference   Data   Docs   EPICMOS   EPICpn   Feedback   Gallery   Misc   OM   Pending   PhD_Theses   Publications   RGS   RadMonitor   SAS_Hardware   SAS_WS   SASv16.0   SASv16.0_Installation   SASv16.1   SASv16.1_Installation   SASv17.0   SASv17.0_Installation   SciSim   Simulators_other   Suggestions   Trash   Visibility   XMM-bouncing   XMM-news   XRPS   XSA   esas   incoming  

Logged in as guest

Viewing SASv16.0_Installation/81843
Full headers

From: giorgio.lanzuisi2@unibo.it
Subject: sas 16.0 on ubuntu 14.04
Compose reply
Download message
Move To:
2 replies: 1 2
1 followups: 1

Private message: yes  no

Notes:

Notification:


Date: Tue, 13 Jun 2017 09:52:07 GMT
From: giorgio.lanzuisi2@unibo.it
To: xmmhelp@sciops.esa.int
CC: giorgio.lanzuisi2@unibo.it
Subject: sas 16.0 on ubuntu 14.04
Full_Name: Giorgio Lanzuisi
Submission from: (NULL) (137.204.68.75)


Dear helpdesk
I installed SAS v. 16.0.0 (xmmsas_20170112_1337) in my ubuntu 14.04 system, and
get this error message:

sas: /lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.23' not found (required
by /home/xmmsas_20170112_1337/libextra/libquadmath.so.0)

with any sas task.
Any suggestion?

thank you
Giorgio



Reply 1

Resend
From: Lucia Ballo <xmmhelp@sciops.esa.int>
To: giorgio.lanzuisi2@unibo.it
Subject: Re: sas 16.0 on ubuntu 14.04 (PR#81843)
Date: Wed Jun 14 12:03:04 2017
Dear Giorgio,

your problem seems suggest that you installed a wrong version of SAS for your
OS.
If you installed the SAS 16 built on Ubuntu 16.04 (binary packages in the tar
file sas_16.0.0-Ubuntu16.04-64.tgz; you can confirm it also by looking at the
output of the command 'sasversion'), you installed a distribution built on a
more advanced system than 14.04. Therefore the SAS 16.0 binaries expect to find
a higher version of the GNU C Lib (GLIBC_2.23), present on 16.04 and used to
build them.

In this case, the solution should be to install for Ubuntu 14.04 the SAS 16.0
built on RHEL6.8 (libc in RHEL6.8 is 2.12; binary packages in the tar file
sas_16.0.0-RHEL6.8-64.tgz).

Please give it a try, and do not hesitate to contact us again if this does not
solve the problem.

Kind regards,
Lucia
--
   Dr Lucia Ballo 
   XMM-Newton Science Operations Centre
   Community Support and Scientific Planning Team


Followup 1

Compose reply
Download message
From: giorgio lanzuisi <giorgio.lanzuisi2@unibo.it>
Date: Wed, 14 Jun 2017 14:54:11 +0200
Subject: Re: sas 16.0 on ubuntu 14.04 (PR#81843)
To: Lucia Ballo <xmmhelp@sciops.esa.int>
--001a1141b9c8dddbe20551eb0e91
Content-Type: text/plain; charset="UTF-8"

Dear Lucia (ciao!)

yes I realized yesterday,
the RHEL6.8  version works perfectly!

thanks again
cheers
Giorgio


2017-06-14 14:03 GMT+02:00 Lucia Ballo <xmmhelp@sciops.esa.int>:

> Dear Giorgio,
>
> your problem seems suggest that you installed a wrong version of SAS for
> your
> OS.
> If you installed the SAS 16 built on Ubuntu 16.04 (binary packages in the
> tar
> file sas_16.0.0-Ubuntu16.04-64.tgz; you can confirm it also by looking at
> the
> output of the command 'sasversion'), you installed a distribution built on
> a
> more advanced system than 14.04. Therefore the SAS 16.0 binaries expect to
> find
> a higher version of the GNU C Lib (GLIBC_2.23), present on 16.04 and used
> to
> build them.
>
> In this case, the solution should be to install for Ubuntu 14.04 the SAS
> 16.0
> built on RHEL6.8 (libc in RHEL6.8 is 2.12; binary packages in the tar file
> sas_16.0.0-RHEL6.8-64.tgz).
>
> Please give it a try, and do not hesitate to contact us again if this does
> not
> solve the problem.
>
> Kind regards,
> Lucia
> --
>    Dr Lucia Ballo
>    XMM-Newton Science Operations Centre
>    Community Support and Scientific Planning Team
>
> This message and any attachments are intended for the use of the addressee
> or addressees only.
> The unauthorised disclosure, use, dissemination or copying (either in
> whole or in part) of its
> content is not permitted.
> If you received this message in error, please notify the sender and delete
> it from your system.
> Emails can be altered and their integrity cannot be guaranteed by the
> sender.
>
> Please consider the environment before printing this email.
>
>
>

--001a1141b9c8dddbe20551eb0e91
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Dear Lucia
(ciao!)<div><br></div><div>yes I realized yeste=
rday,=C2=A0</div><div>the=C2=A0RHEL6.8 =C2=A0version works
perfectly!</div>=
<div><br></div><div>thanks
again</div><div>cheers</div><div>Giorgio</div><d=
iv><br></div></div><div
class=3D"gmail_extra"><br><div class=3D"gmail_quote=
">2017-06-14 14:03 GMT+02:00 Lucia Ballo <span
dir=3D"ltr">&lt;<a href=3D"m=
ailto:xmmhelp@sciops.esa.int"
target=3D"_blank">xmmhelp@sciops.esa.int</a>&=
gt;</span>:<br><blockquote class=3D"gmail_quote"
style=3D"margin:0 0 0 .8ex=
;border-left:1px #ccc solid;padding-left:1ex">Dear Giorgio,<br>
<br>
your problem seems suggest that you installed a wrong version of SAS for yo=
ur<br>
OS.<br>
If you installed the SAS 16 built on Ubuntu 16.04 (binary packages in the t=
ar<br>
file sas_16.0.0-Ubuntu16.04-64.tgz; you can confirm it also by looking at t=
he<br>
output of the command &#39;sasversion&#39;), you installed a
distribution b=
uilt on a<br>
more advanced system than 14.04. Therefore the SAS 16.0 binaries expect to =
find<br>
a higher version of the GNU C Lib (GLIBC_2.23), present on 16.04 and used t=
o<br>
build them.<br>
<br>
In this case, the solution should be to install for Ubuntu 14.04 the SAS 16=
.0<br>
built on RHEL6.8 (libc in RHEL6.8 is 2.12; binary packages in the tar file<=
br>
sas_16.0.0-RHEL6.8-64.tgz).<br>
<br>
Please give it a try, and do not hesitate to contact us again if this does =
not<br>
solve the problem.<br>
<br>
Kind regards,<br>
Lucia<br>
--<br>
=C2=A0 =C2=A0Dr Lucia Ballo<br>
=C2=A0 =C2=A0XMM-Newton Science Operations Centre<br>
=C2=A0 =C2=A0Community Support and Scientific Planning Team<br>
<div class=3D"HOEnZb"><div class=3D"h5"><br>
This message and any attachments are intended for the use of the addressee =
or addressees only.<br>
The unauthorised disclosure, use, dissemination or copying (either in whole=
 or in part) of its<br>
content is not permitted.<br>
If you received this message in error, please notify the sender and delete =
it from your system.<br>
Emails can be altered and their integrity cannot be guaranteed by the sende=
r.<br>
<br>
Please consider the environment before printing this email.<br>
<br>
<br>
</div></div></blockquote></div><br></div>

--001a1141b9c8dddbe20551eb0e91--



Reply 2

Resend
From: Lucia Ballo <xmmhelp@sciops.esa.int>
To: giorgio.lanzuisi2@unibo.it
Subject: Re: sas 16.0 on ubuntu 14.04 (PR#81843)
Date: Wed Jun 14 16:07:18 2017
Ciao Giorgio,

I'm happy it works now!

Cheers
Lucia
--
   Dr Lucia Ballo 
   XMM-Newton Science Operations Centre
   Community Support and Scientific Planning Team

Up to top level
AO15   AO16   AO17   AO18   Backgrounds   Calibration   Conference   Data   Docs   EPICMOS   EPICpn   Feedback   Gallery   Misc   OM   Pending   PhD_Theses   Publications   RGS   RadMonitor   SAS_Hardware   SAS_WS   SASv16.0   SASv16.0_Installation   SASv16.1   SASv16.1_Installation   SASv17.0   SASv17.0_Installation   SciSim   Simulators_other   Suggestions   Trash   Visibility   XMM-bouncing   XMM-news   XRPS   XSA   esas   incoming  

Logged in as guest


Please make your (short) question the subject of your request!


Web interface using JitterBug ... back to the XMM home page